Loading...
Searching...
No Matches
casacore::Array< T >::BaseIteratorSTL Class Reference

More...

`#include <Array.h>`

## Public Member Functions

| BaseIteratorSTL (const Array< T > &)
| Create the begin const_iterator object for an Array.
| BaseIteratorSTL (const T *end=0)
| Create the end const_iterator object for an Array.
void | nextElem ()
void | nextLine ()
bool | operator== (const BaseIteratorSTL &other) const
bool | operator!= (const BaseIteratorSTL &other) const
T * | getPos ()

## Protected Member Functions

void | increment ()
| Increment iterator for a non-contiguous array.

## Protected Attributes

const T * | itsPos
const T * | itsLineEnd
size_t | itsLineIncr
size_t | itsLineAxis
IPosition | itsCurPos
IPosition | itsLastPos
const Array< T > * | itsArray
bool | itsContig

## Friends

std::ostream & | operator<< (std::ostream &os, const BaseIteratorSTL &iter)

## Detailed Description

template<typename T>
class casacore::Array< T >::BaseIteratorSTL

See the function begin() and end() for a detailed description of the STL iterator capability.

Definition at line 669 of file Array.h.

## Constructor & Destructor Documentation

## BaseIteratorSTL() [1/2]

template<typename T>

casacore::Array< T >::BaseIteratorSTL::BaseIteratorSTL | ( | const Array< T > & |  | ) |

explicit

Create the begin const_iterator object for an Array.

References casacore::Array< T >::Array().

Referenced by casacore::Array< T >::ConstIteratorSTL::ConstIteratorSTL(), casacore::Array< T >::ConstIteratorSTL::ConstIteratorSTL(), casacore::Array< T >::ConstIteratorSTL::ConstIteratorSTL(), casacore::Array< T >::IteratorSTL::IteratorSTL(), casacore::Array< T >::IteratorSTL::IteratorSTL(), operator!=(), operator<<, and operator==().

## BaseIteratorSTL() [2/2]

template<typename T>

casacore::Array< T >::BaseIteratorSTL::BaseIteratorSTL | ( | const T * | end = 0 | ) |

inline explicit

Create the end const_iterator object for an Array.

It also acts as the default constructor.

Definition at line 676 of file Array.h.

References casacore::Array< T >::end(), itsArray, itsContig, itsLineAxis, itsLineEnd, itsLineIncr, and itsPos.

## Member Function Documentation

## getPos()

template<typename T>

T * casacore::Array< T >::BaseIteratorSTL::getPos | ( |  | ) |

inline

Definition at line 699 of file Array.h.

References itsPos.

Referenced by casacore::Array< T >::IteratorSTL::operator*(), and casacore::Array< T >::IteratorSTL::operator->().

## increment()

template<typename T>

void casacore::Array< T >::BaseIteratorSTL::increment | ( |  | ) |

protected

Increment iterator for a non-contiguous array.

Referenced by nextElem(), and nextLine().

## nextElem()

template<typename T>

void casacore::Array< T >::BaseIteratorSTL::nextElem | ( |  | ) |

inline

Definition at line 679 of file Array.h.

References increment(), itsContig, itsLineEnd, itsLineIncr, and itsPos.

Referenced by casacore::Array< T >::ConstIteratorSTL::operator++(), casacore::Array< T >::ConstIteratorSTL::operator++(), casacore::Array< T >::IteratorSTL::operator++(), and casacore::Array< T >::IteratorSTL::operator++().

## nextLine()

template<typename T>

void casacore::Array< T >::BaseIteratorSTL::nextLine | ( |  | ) |

inline

Definition at line 687 of file Array.h.

References increment(), itsLineEnd, and itsPos.

## operator!=()

template<typename T>

bool casacore::Array< T >::BaseIteratorSTL::operator!= | ( | const BaseIteratorSTL & | other | ) | const

inline

Definition at line 696 of file Array.h.

References BaseIteratorSTL(), and itsPos.

## operator==()

template<typename T>

bool casacore::Array< T >::BaseIteratorSTL::operator== | ( | const BaseIteratorSTL & | other | ) | const

inline

Definition at line 693 of file Array.h.

References BaseIteratorSTL(), and itsPos.

## Friends And Related Symbol Documentation

## operator<<

template<typename T>

std::ostream & operator<< | ( | std::ostream & | os,
|  | const BaseIteratorSTL & | iter )

friend

Definition at line 702 of file Array.h.

References BaseIteratorSTL(), and itsPos.

## Member Data Documentation

## itsArray

template<typename T>

const Array<T>* casacore::Array< T >::BaseIteratorSTL::itsArray

protected

Definition at line 715 of file Array.h.

Referenced by BaseIteratorSTL().

## itsContig

template<typename T>

bool casacore::Array< T >::BaseIteratorSTL::itsContig

protected

Definition at line 716 of file Array.h.

Referenced by BaseIteratorSTL(), and nextElem().

## itsCurPos

template<typename T>

IPosition casacore::Array< T >::BaseIteratorSTL::itsCurPos

protected

Definition at line 713 of file Array.h.

## itsLastPos

template<typename T>

IPosition casacore::Array< T >::BaseIteratorSTL::itsLastPos

protected

Definition at line 714 of file Array.h.

## itsLineAxis

template<typename T>

size_t casacore::Array< T >::BaseIteratorSTL::itsLineAxis

protected

Definition at line 712 of file Array.h.

Referenced by BaseIteratorSTL().

## itsLineEnd

template<typename T>

const T* casacore::Array< T >::BaseIteratorSTL::itsLineEnd

protected

Definition at line 710 of file Array.h.

Referenced by BaseIteratorSTL(), nextElem(), and nextLine().

## itsLineIncr

template<typename T>

size_t casacore::Array< T >::BaseIteratorSTL::itsLineIncr

protected

Definition at line 711 of file Array.h.

Referenced by BaseIteratorSTL(), and nextElem().

## itsPos

template<typename T>

const T* casacore::Array< T >::BaseIteratorSTL::itsPos

protected

Definition at line 709 of file Array.h.

Referenced by BaseIteratorSTL(), getPos(), nextElem(), nextLine(), operator!=(), casacore::Array< T >::ConstIteratorSTL::operator*(), casacore::Array< T >::ConstIteratorSTL::operator->(), operator<<, operator==(), and casacore::Array< T >::ConstIteratorSTL::pos().

The documentation for this class was generated from the following file:

- casa/Arrays/Array.h